Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html.parser
Class TagElement

    java.lang.Object
      |
      +--javax.swing.text.html.parser.TagElement

public class TagElement
extends Object

A generic HTML TagElement class. The methods define how white space is interpreted around the tag.

Constructor Summary
`TagElement(Element elem)`
`TagElement(Element elem, boolean fictional)`

Method Summary
`boolean` | `breaksFlow()`
`boolean` | `fictional()`
`Element` | `getElement()`
`HTML.Tag` | `getHTMLTag()`
`boolean` | `isPreformatted()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagElement

    public TagElement(Element elem)

### TagElement

    public TagElement(Element elem,
                      boolean fictional)

Method Detail

### breaksFlow

    public boolean breaksFlow()

### isPreformatted

    public boolean isPreformatted()

### getElement

    public Element getElement()

### getHTMLTag

    public HTML.Tag getHTMLTag()

### fictional

    public boolean fictional()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.